PLASMA_Complex32_t_Tile_Async(3)

NAME
PLASMA_Complex32_t_Tile_Async - Advanced Interface: Asynchronous - Single Complex

  Functions
int PLASMA_cgeadd_Tile_Async (PLASMA_enum trans, PLASMA_Complex32_t alpha, PLASMA_desc *A, PLASMA_Complex32_t beta, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cgebrd_Tile_Async (PLASMA_enum jobu, PLASMA_enum jobvt, PLASMA_desc *A, float *S, float *E, PLASMA_desc *T, PLASMA_Complex32_t *U, int LDU, PLASMA_Complex32_t *VT, int LDVT, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cgecon_Tile_Async (PLASMA_enum norm, PLASMA_desc *A, float Anorm, float *rcond, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cgelqf_Tile_Async (PLASMA_desc *A, PLASMA_desc *T, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cgelqs_Tile_Async (PLASMA_desc *A, PLASMA_desc *T, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cgels_Tile_Async (PLASMA_enum trans, PLASMA_desc *A, PLASMA_desc *T, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cgemm_Tile_Async (PLASMA_enum transA, PLASMA_enum transB, PLASMA_Complex32_t alpha, PLASMA_desc *A, PLASMA_desc *B, PLASMA_Complex32_t beta, PLASMA_desc *C, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cgeqp3_Tile_Async (PLASMA_desc *A, int *jpvt, PLASMA_Complex32_t *tau, PLASMA_Complex32_t *work, float *rwork, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cgeqrf_Tile_Async (PLASMA_desc *A, PLASMA_desc *T, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cgeqrs_Tile_Async (PLASMA_desc *A, PLASMA_desc *T, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cgesdd_Tile_Async (PLASMA_enum jobu, PLASMA_enum jobvt, PLASMA_desc *A, float *S, PLASMA_desc *T, PLASMA_Complex32_t *U, int LDU, PLASMA_Complex32_t *VT, int LDVT, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cgesv_Tile_Async (PLASMA_desc *A, int *IPIV, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cgesv_incpiv_Tile_Async (PLASMA_desc *A, PLASMA_desc *L, int *IPIV, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cgesvd_Tile_Async (PLASMA_enum jobu, PLASMA_enum jobvt, PLASMA_desc *A, float *S, PLASMA_desc *T, PLASMA_Complex32_t *U, int LDU, PLASMA_Complex32_t *VT, int LDVT, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cgetrf_Tile_Async (PLASMA_desc *A, int *IPIV, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cgetrf_incpiv_Tile_Async (PLASMA_desc *A, PLASMA_desc *L, int *IPIV, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cgetrf_nopiv_Tile_Async (PLASMA_desc *A, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cgetrf_tntpiv_Tile_Async (PLASMA_desc *A, int *IPIV, PLASMA_desc *W, int *Wpivot, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cgetri_Tile_Async (PLASMA_desc *A, int *IPIV, PLASMA_desc *W, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cgetrs_Tile_Async (PLASMA_enum trans, PLASMA_desc *A, const int *IPIV, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cgetrs_incpiv_Tile_Async (PLASMA_desc *A, PLASMA_desc *L, const int *IPIV, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cheev_Tile_Async (PLASMA_enum jobz, PLASMA_enum uplo, PLASMA_desc *A, float *W, PLASMA_desc *T, PLASMA_Complex32_t *Q, int LDQ, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cheevd_Tile_Async (PLASMA_enum jobz, PLASMA_enum uplo, PLASMA_desc *A, float *W, PLASMA_desc *T, PLASMA_Complex32_t *Q, int LDQ, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cheevr_Tile_Async (PLASMA_enum jobz, PLASMA_enum range, PLASMA_enum uplo, PLASMA_desc *A, float vl, float vu, int il, int iu, float abstol, int *nbcomputedeig, float *W, PLASMA_desc *T, PLASMA_Complex32_t *Q, int LDQ, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_chegst_Tile_Async (PLASMA_enum itype, PLASMA_enum uplo, PLASMA_desc *A, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_chegv_Tile_Async (PLASMA_enum itype, PLASMA_enum jobz, PLASMA_enum uplo, PLASMA_desc *A, PLASMA_desc *B, float *W, PLASMA_desc *T, PLASMA_desc *Q, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_chegvd_Tile_Async (PLASMA_enum itype, PLASMA_enum jobz, PLASMA_enum uplo, PLASMA_desc *A, PLASMA_desc *B, float *W, PLASMA_desc *T, PLASMA_desc *Q, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_chemm_Tile_Async (PLASMA_enum side, PLASMA_enum uplo, PLASMA_Complex32_t alpha, PLASMA_desc *A, PLASMA_desc *B, PLASMA_Complex32_t beta, PLASMA_desc *C, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cher2k_Tile_Async (PLASMA_enum uplo, PLASMA_enum trans, PLASMA_Complex32_t alpha, PLASMA_desc *A, PLASMA_desc *B, float beta, PLASMA_desc *C, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cherk_Tile_Async (PLASMA_enum uplo, PLASMA_enum trans, float alpha, PLASMA_desc *A, float beta, PLASMA_desc *C, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_chetrd_Tile_Async (PLASMA_enum jobz, PLASMA_enum uplo, PLASMA_desc *A, float *W, float *E, PLASMA_desc *T, PLASMA_Complex32_t *Q, int LDQ, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_clacpy_Tile_Async (PLASMA_enum uplo, PLASMA_desc *A, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_clange_Tile_Async (PLASMA_enum norm, PLASMA_desc *A, float *value, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_clanhe_Tile_Async (PLASMA_enum norm, PLASMA_enum uplo, PLASMA_desc *A, float *value, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_clansy_Tile_Async (PLASMA_enum norm, PLASMA_enum uplo, PLASMA_desc *A, float *value, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_clantr_Tile_Async (PLASMA_enum norm, PLASMA_enum uplo, PLASMA_enum diag, PLASMA_desc *A, float *value, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_clascal_Tile_Async (PLASMA_enum uplo, PLASMA_Complex32_t alpha, PLASMA_desc *A, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_claset_Tile_Async (PLASMA_enum uplo, PLASMA_Complex32_t alpha, PLASMA_Complex32_t beta, PLASMA_desc *A, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_claswp_Tile_Async (PLASMA_desc *A, int K1, int K2, const int *IPIV, int INCX, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_claswpc_Tile_Async (PLASMA_desc *A, int K1, int K2, const int *IPIV, int INCX, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_clauum_Tile_Async (PLASMA_enum uplo, PLASMA_desc *A, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cplghe_Tile_Async (float bump, PLASMA_desc *A, unsigned long long int seed, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cplgsy_Tile_Async (PLASMA_Complex32_t bump, PLASMA_desc *A, unsigned long long int seed, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cplrnt_Tile_Async (PLASMA_desc *A, unsigned long long int seed, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cpltmg_Tile_Async (PLASMA_enum mtxtype, PLASMA_desc *A, unsigned long long int seed, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cpocon_Tile_Async (PLASMA_enum uplo, PLASMA_desc *A, float Anorm, float *rcond, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cposv_Tile_Async (PLASMA_enum uplo, PLASMA_desc *A, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cpotrf_Tile_Async (PLASMA_enum uplo, PLASMA_desc *A, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cpotri_Tile_Async (PLASMA_enum uplo, PLASMA_desc *A, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cpotrs_Tile_Async (PLASMA_enum uplo, PLASMA_desc *A, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cstedc_Async (PLASMA_enum jobz, int n, float *D, float *E, PLASMA_Complex32_t *Z, int LDZ, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_csymm_Tile_Async (PLASMA_enum side, PLASMA_enum uplo, PLASMA_Complex32_t alpha, PLASMA_desc *A, PLASMA_desc *B, PLASMA_Complex32_t beta, PLASMA_desc *C, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_csyr2k_Tile_Async (PLASMA_enum uplo, PLASMA_enum trans, PLASMA_Complex32_t alpha, PLASMA_desc *A, PLASMA_desc *B, PLASMA_Complex32_t beta, PLASMA_desc *C, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_csyrk_Tile_Async (PLASMA_enum uplo, PLASMA_enum trans, PLASMA_Complex32_t alpha, PLASMA_desc *A, PLASMA_Complex32_t beta, PLASMA_desc *C, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_ctradd_Tile_Async (PLASMA_enum uplo, PLASMA_enum trans, PLASMA_Complex32_t alpha, PLASMA_desc *A, PLASMA_Complex32_t beta, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_ctrmm_Tile_Async (PLASMA_enum side, PLASMA_enum uplo, PLASMA_enum transA, PLASMA_enum diag, PLASMA_Complex32_t alpha, PLASMA_desc *A, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_ctrsm_Tile_Async (PLASMA_enum side, PLASMA_enum uplo, PLASMA_enum transA, PLASMA_enum diag, PLASMA_Complex32_t alpha, PLASMA_desc *A, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_ctrsmpl_Tile_Async (PLASMA_desc *A, PLASMA_desc *L, const int *IPIV, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_ctrsmrv_Tile_Async (PLASMA_enum side, PLASMA_enum uplo, PLASMA_enum transA, PLASMA_enum diag, PLASMA_Complex32_t alpha, PLASMA_desc *A, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_ctrtri_Tile_Async (PLASMA_enum uplo, PLASMA_enum diag, PLASMA_desc *A, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cunglq_Tile_Async (PLASMA_desc *A, PLASMA_desc *T, PLASMA_desc *Q, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cungqr_Tile_Async (PLASMA_desc *A, PLASMA_desc *T, PLASMA_desc *Q, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cunmlq_Tile_Async (PLASMA_enum side, PLASMA_enum trans, PLASMA_desc *A, PLASMA_desc *T, PLASMA_desc *C, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cunmqr_Tile_Async (PLASMA_enum side, PLASMA_enum trans, PLASMA_desc *A, PLASMA_desc *T, PLASMA_desc *C, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cLapack_to_Tile_Async (PLASMA_Complex32_t *Af77, int LDA, PLASMA_desc *A, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_cTile_to_Lapack_Async (PLASMA_desc *A, PLASMA_Complex32_t *Af77, int LDA, PLASMA_sequence *sequence, PLASMA_request *request)

Detailed Description

This is the group of single complex functions using the advanced asynchronous interface.

Function Documentation

  int PLASMA_cgeadd_Tile_Async (PLASMA_enum trans, PLASMA_Complex32_t alpha, PLASMA_desc * A, PLASMA_Complex32_t beta, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cgeadd_Tile_Async - Performs a matrix addition similarly to the pcgeadd() function from the PBLAS library. Non-blocking equivalent of PLASMA_cgeadd_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cgeadd

    PLASMA_cgeadd_Tile

    PLASMA_cgeadd_Tile_Async

    PLASMA_dgeadd_Tile_Async

    PLASMA_sgeadd_Tile_Async

  int PLASMA_cgebrd_Tile_Async (PLASMA_enum jobu, PLASMA_enum jobvt, PLASMA_desc * A, float * S, float * E, PLASMA_desc * T, PLASMA_Complex32_t * U, int LDU, PLASMA_Complex32_t * VT, int LDVT, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cgebrd_Tile_Async - reduces a general complex M-by-N matrix A to upper or lower bidiagonal form B using a two-stage approach First stage: reduction to band bidiagonal form (orthogonal matrices Q1 and P1); Second stage: reduction from band to bidiagonal form (orthogonal matrices Q2 and P2). Let Q = Q1 * Q2 be the global left unitary transformation; Let P = P1 * P2 be the global right unitary transformation; Q**H * A * P = B. If M >= N, B is upper bidiagonal; if M < N, B is lower bidiagonal. Note: T is incomplete and contains only the block reflectors of the first stage. Therefore, Q and P can not be built completely. Non-blocking equivalent of PLASMA_cgebrd_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cgebrd

    PLASMA_cgebrd_Tile

    PLASMA_cgebrd_Tile_Async

    PLASMA_dgebrd_Tile_Async

    PLASMA_sgebrd_Tile_Async

  int PLASMA_cgecon_Tile_Async (PLASMA_enum norm, PLASMA_desc * A, float Anorm, float * rcond, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cgecon_Tile_Async - estimates the reciprocal of the condition number of a general complex matrix A, in either the 1-norm or the infinity-norm. Non-blocking equivalent of PLASMA_cgecon_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cgecon

    PLASMA_cgecon_Tile

    PLASMA_cgecon_Tile_Async

    PLASMA_dgecon_Tile_Async

    PLASMA_sgecon_Tile_Async

  int PLASMA_cgelqf_Tile_Async (PLASMA_desc * A, PLASMA_desc * T, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cgelqf_Tile_Async - Computes the tile LQ factorization of a matrix. Non-blocking equivalent of PLASMA_cgelqf_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cgelqf

    PLASMA_cgelqf_Tile

    PLASMA_cgelqf_Tile_Async

    PLASMA_dgelqf_Tile_Async

    PLASMA_sgelqf_Tile_Async

    PLASMA_cgelqs_Tile_Async

  int PLASMA_cgelqs_Tile_Async (PLASMA_desc * A, PLASMA_desc * T, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cgelqs_Tile_Async - Computes a minimum-norm solution using previously computed LQ factorization. Non-blocking equivalent of PLASMA_cgelqs_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cgelqs

    PLASMA_cgelqs_Tile

    PLASMA_cgelqs_Tile_Async

    PLASMA_dgelqs_Tile_Async

    PLASMA_sgelqs_Tile_Async

    PLASMA_cgelqf_Tile_Async

  int PLASMA_cgels_Tile_Async (PLASMA_enum trans, PLASMA_desc * A, PLASMA_desc * T, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cgels_Tile_Async - Solves overdetermined or underdetermined linear system of equations using the tile QR or the tile LQ factorization. Non-blocking equivalent of PLASMA_cgels_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cgels

    PLASMA_cgels_Tile

    PLASMA_cgels_Tile_Async

    PLASMA_dgels_Tile_Async

    PLASMA_sgels_Tile_Async

  int PLASMA_cgemm_Tile_Async (PLASMA_enum transA, PLASMA_enum transB, PLASMA_Complex32_t alpha, PLASMA_desc * A, PLASMA_desc * B, PLASMA_Complex32_t beta, PLASMA_desc * C, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cgemm_Tile_Async - Performs matrix multiplication. Non-blocking equivalent of PLASMA_cgemm_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cgemm

    PLASMA_cgemm_Tile

    PLASMA_cgemm_Tile_Async

    PLASMA_dgemm_Tile_Async

    PLASMA_sgemm_Tile_Async

  int PLASMA_cgeqp3_Tile_Async (PLASMA_desc * A, int * jpvt, PLASMA_Complex32_t * tau, PLASMA_Complex32_t * work, float * rwork, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cgeqp3_Tile_Async - Computes the tile QR factorization with column pivoting of a matrix. Non-blocking equivalent of PLASMA_cgeqp3_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cgeqp3

    PLASMA_cgeqp3_Tile

    PLASMA_cgeqp3_Tile_Async

    PLASMA_dgeqp3_Tile_Async

    PLASMA_sgeqp3_Tile_Async

  int PLASMA_cgeqrf_Tile_Async (PLASMA_desc * A, PLASMA_desc * T, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cgeqrf_Tile_Async - Computes the tile QR factorization of a matrix. Non-blocking equivalent of PLASMA_cgeqrf_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cgeqrf

    PLASMA_cgeqrf_Tile

    PLASMA_cgeqrf_Tile_Async

    PLASMA_dgeqrf_Tile_Async

    PLASMA_sgeqrf_Tile_Async

    PLASMA_cgeqrs_Tile_Async

  int PLASMA_cgeqrs_Tile_Async (PLASMA_desc * A, PLASMA_desc * T, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cgeqrs_Tile_Async - Computes a minimum-norm solution using the tile QR factorization. Non-blocking equivalent of PLASMA_cgeqrs_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cgeqrs

    PLASMA_cgeqrs_Tile

    PLASMA_cgeqrs_Tile_Async

    PLASMA_dgeqrs_Tile_Async

    PLASMA_sgeqrs_Tile_Async

    PLASMA_cgeqrf_Tile_Async

  int PLASMA_cgesdd_Tile_Async (PLASMA_enum jobu, PLASMA_enum jobvt, PLASMA_desc * A, float * S, PLASMA_desc * T, PLASMA_Complex32_t * U, int LDU, PLASMA_Complex32_t * VT, int LDVT, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cgesdd_Tile_Async - computes the singular value decomposition (SVD) of a complex M-by-N matrix A, optionally computing the left and/or right singular vectors. Non-blocking equivalent of PLASMA_cgesdd_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cgesdd

    PLASMA_cgesdd_Tile

    PLASMA_cgesdd_Tile_Async

    PLASMA_dgesdd_Tile_Async

    PLASMA_sgesdd_Tile_Async

  int PLASMA_cgesv_incpiv_Tile_Async (PLASMA_desc * A, PLASMA_desc * L, int * IPIV, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cgesv_incpiv_Tile_Async - Solves a system of linear equations using the tile LU factorization. Non-blocking equivalent of PLASMA_cgesv_incpiv_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cgesv_incpiv

    PLASMA_cgesv_incpiv_Tile

    PLASMA_cgesv_incpiv_Tile_Async

    PLASMA_dgesv_incpiv_Tile_Async

    PLASMA_sgesv_incpiv_Tile_Async

    PLASMA_ccgesv_Tile_Async

  int PLASMA_cgesv_Tile_Async (PLASMA_desc * A, int * IPIV, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cgesv_Tile_Async - Solves a system of linear equations using the tile LU factorization. Non-blocking equivalent of PLASMA_cgesv_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cgesv

    PLASMA_cgesv_Tile

    PLASMA_cgesv_Tile_Async

    PLASMA_dgesv_Tile_Async

    PLASMA_sgesv_Tile_Async

    PLASMA_ccgesv_Tile_Async

  int PLASMA_cgesvd_Tile_Async (PLASMA_enum jobu, PLASMA_enum jobvt, PLASMA_desc * A, float * S, PLASMA_desc * T, PLASMA_Complex32_t * U, int LDU, PLASMA_Complex32_t * VT, int LDVT, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cgesvd_Tile_Async - computes the singular value decomposition (SVD) of a complex M-by-N matrix A, optionally computing the left and/or right singular vectors. Non-blocking equivalent of PLASMA_cgesvd_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cgesvd

    PLASMA_cgesvd_Tile

    PLASMA_cgesvd_Tile_Async

    PLASMA_dgesvd_Tile_Async

    PLASMA_sgesvd_Tile_Async

  int PLASMA_cgetrf_incpiv_Tile_Async (PLASMA_desc * A, PLASMA_desc * L, int * IPIV, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cgetrf_incpiv_Tile_Async - Computes the tile LU factorization of a matrix. Non-blocking equivalent of PLASMA_cgetrf_incpiv_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cgetrf_incpiv

    PLASMA_cgetrf_incpiv_Tile

    PLASMA_cgetrf_incpiv_Tile_Async

    PLASMA_dgetrf_incpiv_Tile_Async

    PLASMA_sgetrf_incpiv_Tile_Async

    PLASMA_cgetrs_incpiv_Tile_Async

  int PLASMA_cgetrf_nopiv_Tile_Async (PLASMA_desc * A, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cgetrf_nopiv_Tile_Async - Computes the tile LU factorization of a matrix. Non-blocking equivalent of PLASMA_cgetrf_nopiv_Tile(). May return before the computation is finished. Allows for pipelining of operations ar runtime.

Parameters:
    A On entry, the M-by-N matrix to be factored. On exit, the tile factors L and U from the factorization.
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cgetrf_nopiv

    PLASMA_cgetrf_nopiv_Tile

    PLASMA_cgetrf_nopiv_Tile_Async

    PLASMA_dgetrf_nopiv_Tile_Async

    PLASMA_sgetrf_nopiv_Tile_Async

    PLASMA_cgetrs_Tile_Async

  int PLASMA_cgetrf_Tile_Async (PLASMA_desc * A, int * IPIV, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cgetrf_Tile_Async - Computes the tile LU factorization of a matrix. Non-blocking equivalent of PLASMA_cgetrf_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cgetrf

    PLASMA_cgetrf_Tile

    PLASMA_cgetrf_Tile_Async

    PLASMA_dgetrf_Tile_Async

    PLASMA_sgetrf_Tile_Async

    PLASMA_cgetrs_Tile_Async

  int PLASMA_cgetrf_tntpiv_Tile_Async (PLASMA_desc * A, int * IPIV, PLASMA_desc * W, int * Wpivot, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cgetrf_tntpiv_Tile_Async - Computes the tile LU factorization of a matrix. Non-blocking equivalent of PLASMA_cgetrf_tntpiv_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    A On entry, the M-by-N matrix to be factored. On exit, the tile factors L and U from the factorization.
    IPIV The pivot indices that define the permutations
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cgetrf_tntpiv

    PLASMA_cgetrf_tntpiv_Tile

    PLASMA_cgetrf_tntpiv_Tile_Async

    PLASMA_dgetrf_tntpiv_Tile_Async

    PLASMA_sgetrf_tntpiv_Tile_Async

  int PLASMA_cgetri_Tile_Async (PLASMA_desc * A, int * IPIV, PLASMA_desc * W, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cgetri_Tile_Async - Computes the inverse of a matrix using the LU factorization computed by PLASMA_cgetrf. This method inverts U and then computes inv(A) by solving the system inv(A)*L = inv(U) for inv(A). Non-blocking equivalent of PLASMA_cgetri_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cgetri

    PLASMA_cgetri_Tile

    PLASMA_cgetri_Tile_Async

    PLASMA_dgetri_Tile_Async

    PLASMA_sgetri_Tile_Async

    PLASMA_cgetrf_Tile_Async

  int PLASMA_cgetrs_incpiv_Tile_Async (PLASMA_desc * A, PLASMA_desc * L, const int * IPIV, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cgetrs_incpiv_Tile_Async - Solves a system of linear equations using previously computed LU factorization. Non-blocking equivalent of PLASMA_cgetrs_incpiv_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cgetrs_incpiv

    PLASMA_cgetrs_incpiv_Tile

    PLASMA_cgetrs_incpiv_Tile_Async

    PLASMA_dgetrs_incpiv_Tile_Async

    PLASMA_sgetrs_incpiv_Tile_Async

    PLASMA_cgetrf_incpiv_Tile_Async

  int PLASMA_cgetrs_Tile_Async (PLASMA_enum trans, PLASMA_desc * A, const int * IPIV, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cgetrs_Tile_Async - Solves a system of linear equations using previously computed LU factorization. Non-blocking equivalent of PLASMA_cgetrs_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cgetrs

    PLASMA_cgetrs_Tile

    PLASMA_cgetrs_Tile_Async

    PLASMA_dgetrs_Tile_Async

    PLASMA_sgetrs_Tile_Async

    PLASMA_cgetrf_Tile_Async

  int PLASMA_cheev_Tile_Async (PLASMA_enum jobz, PLASMA_enum uplo, PLASMA_desc * A, float * W, PLASMA_desc * T, PLASMA_Complex32_t * Q, int LDQ, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cheev_Tile_Async - Computes all eigenvalues and, optionally, eigenvectors of a complex Hermitian matrix A using a two-stage approach: First stage: reduction to band tridiagonal form; Second stage: reduction from band to tridiagonal form.

May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    jobz Intended usage: = PlasmaNoVec: computes eigenvalues only; = PlasmaVec: computes eigenvalues and eigenvectors.
    uplo Specifies whether the matrix A is upper triangular or lower triangular: = PlasmaUpper: Upper triangle of A is stored; = PlasmaLower: Lower triangle of A is stored.
    A On entry, the symmetric (or Hermitian) matrix A. If uplo = PlasmaUpper, the leading N-by-N upper triangular part of A contains the upper triangular part of the matrix A, and the strictly lower triangular part of A is not referenced. If UPLO = 'L', the leading N-by-N lower triangular part of A contains the lower triangular part of the matrix A, and the strictly upper triangular part of A is not referenced. On exit, if jobz = PlasmaVec, then if return value = 0, A contains the orthonormal eigenvectors of the matrix A. If jobz = PlasmaNoVec, then on exit the lower triangle (if uplo = PlasmaLower) or the upper triangle (if uplo = PlasmaUpper) of A, including the diagonal, is destroyed.*
    W On exit, if info = 0, the eigenvalues.
    T On entry, descriptor as return by PLASMA_Alloc_Workspace_cheev On exit, contains auxiliary factorization data.
    Q On exit, if jobz = PlasmaVec and info = 0, the eigenvectors.
    LDQ The leading dimention of the eigenvectors matrix Q. LDQ >= max(1,N).
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cheev

    PLASMA_cheev_Tile

    PLASMA_cheev_Tile_Async

    PLASMA_dsyev_Tile_Async

    PLASMA_ssyev_Tile_Async

  int PLASMA_cheevd_Tile_Async (PLASMA_enum jobz, PLASMA_enum uplo, PLASMA_desc * A, float * W, PLASMA_desc * T, PLASMA_Complex32_t * Q, int LDQ, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cheevd_Tile_Async - Computes all eigenvalues and, optionally, eigenvectors of a complex Hermitian matrix A using a two-stage approach: First stage: reduction to band tridiagonal form; Second stage: reduction from band to tridiagonal form.

May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    jobz Intended usage: = PlasmaNoVec: computes eigenvalues only; = PlasmaVec: computes eigenvalues and eigenvectors.
    uplo Specifies whether the matrix A is upper triangular or lower triangular: = PlasmaUpper: Upper triangle of A is stored; = PlasmaLower: Lower triangle of A is stored.
    A On entry, the symmetric (or Hermitian) matrix A. If uplo = PlasmaUpper, the leading N-by-N upper triangular part of A contains the upper triangular part of the matrix A, and the strictly lower triangular part of A is not referenced. If UPLO = 'L', the leading N-by-N lower triangular part of A contains the lower triangular part of the matrix A, and the strictly upper triangular part of A is not referenced. On exit, if jobz = PlasmaVec, then if return value = 0, A contains the orthonormal eigenvectors of the matrix A. If jobz = PlasmaNoVec, then on exit the lower triangle (if uplo = PlasmaLower) or the upper triangle (if uplo = PlasmaUpper) of A, including the diagonal, is destroyed.*
    W On exit, if info = 0, the eigenvalues.
    T On entry, descriptor as return by PLASMA_Alloc_Workspace_cheevd On exit, contains auxiliary factorization data.
    Q On exit, if jobz = PlasmaVec and info = 0, the eigenvectors.
    LDQ The leading dimention of the eigenvectors matrix Q. LDQ >= max(1,N).
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cheevd

    PLASMA_cheevd_Tile

    PLASMA_cheevd_Tile_Async

    PLASMA_dsyev_Tile_Async

    PLASMA_ssyev_Tile_Async

  int PLASMA_cheevr_Tile_Async (PLASMA_enum jobz, PLASMA_enum range, PLASMA_enum uplo, PLASMA_desc * A, float vl, float vu, int il, int iu, float abstol, int * nbcomputedeig, float * W, PLASMA_desc * T, PLASMA_Complex32_t * Q, int LDQ, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cheevr_Tile_Async - Computes all eigenvalues and, optionally, eigenvectors of a complex Hermitian matrix A using a two-stage approach: First stage: reduction to band tridiagonal form; Second stage: reduction from band to tridiagonal form.

May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cheevr

    PLASMA_cheevr_Tile

    PLASMA_cheevr_Tile_Async

    PLASMA_dsyevr_Tile_Async

    PLASMA_ssyevr_Tile_Async

  int PLASMA_chegst_Tile_Async (PLASMA_enum itype, PLASMA_enum uplo, PLASMA_desc * A, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_chegst_Tile_Async - reduces a complex Hermitian-definite generalized eigenproblem to standard form. If PlasmaItype == 1, the problem is A*x = lambda*B*x, and A is overwritten by inv(U**H)*A*inv(U) or inv(L)*A*inv(L**H) If PlasmaItype == 2 or 3, the problem is A*B*x = lambda*x or B*A*x = lambda*x, and A is overwritten by U*A*U**H or L**H*A*L. B must have been previously factorized as U**H*U or L*L**H by PLASMA_CPOTRF. ONLY PlasmaItype == 1 and PlasmaLower supported! Non-blocking equivalent of PLASMA_chegst_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_chegst

    PLASMA_chegst_Tile

    PLASMA_chegst_Tile_Async

    PLASMA_dsygst_Tile_Async

    PLASMA_ssygst_Tile_Async

    PLASMA_chegv_Tile_Async

  int PLASMA_chegv_Tile_Async (PLASMA_enum itype, PLASMA_enum jobz, PLASMA_enum uplo, PLASMA_desc * A, PLASMA_desc * B, float * W, PLASMA_desc * T, PLASMA_desc * Q, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_chegv_Tile - Computes all eigenvalues and, optionally, eigenvectors of a complex generalized Hermitian-definite eigenproblem of the form: A*x=(lambda)*B*x, A*Bx=(lambda)*x, or B*A*x=(lambda)*x. Here A and B are assumed to be Hermitian and B is also positive definite.

Non-blocking equivalent of PLASMA_chegv_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_chegv

    PLASMA_chegv_Tile

    PLASMA_chegv_Tile_Async

    PLASMA_dsygv_Tile_Async

    PLASMA_ssygv_Tile_Async

  int PLASMA_chegvd_Tile_Async (PLASMA_enum itype, PLASMA_enum jobz, PLASMA_enum uplo, PLASMA_desc * A, PLASMA_desc * B, float * W, PLASMA_desc * T, PLASMA_desc * Q, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_chegvd_Tile - Computes all eigenvalues and, optionally, eigenvectors of a complex generalized Hermitian-definite eigenproblem of the form: A*x=(lambda)*B*x, A*Bx=(lambda)*x, or B*A*x=(lambda)*x. Here A and B are assumed to be Hermitian and B is also positive definite.

Non-blocking equivalent of PLASMA_chegvd_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_chegvd

    PLASMA_chegvd_Tile

    PLASMA_chegvd_Tile_Async

    PLASMA_dsygvd_Tile_Async

    PLASMA_ssygvd_Tile_Async

  int PLASMA_chemm_Tile_Async (PLASMA_enum side, PLASMA_enum uplo, PLASMA_Complex32_t alpha, PLASMA_desc * A, PLASMA_desc * B, PLASMA_Complex32_t beta, PLASMA_desc * C, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_chemm_Tile_Async - Performs Hermitian matrix multiplication. Non-blocking equivalent of PLASMA_chemm_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_chemm

    PLASMA_chemm_Tile

    PLASMA_chemm_Tile_Async

    PLASMA_dhemm_Tile_Async

    PLASMA_shemm_Tile_Async

  int PLASMA_cher2k_Tile_Async (PLASMA_enum uplo, PLASMA_enum trans, PLASMA_Complex32_t alpha, PLASMA_desc * A, PLASMA_desc * B, float beta, PLASMA_desc * C, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cher2k_Tile_Async - Performs Hermitian rank-k update. Non-blocking equivalent of PLASMA_cher2k_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cher2k

    PLASMA_cher2k_Tile

    PLASMA_cher2k_Tile_Async

    PLASMA_dher2k_Tile_Async

    PLASMA_sher2k_Tile_Async

  int PLASMA_cherk_Tile_Async (PLASMA_enum uplo, PLASMA_enum trans, float alpha, PLASMA_desc * A, float beta, PLASMA_desc * C, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cherk_Tile_Async - Performs Hermitian rank-k update. Non-blocking equivalent of PLASMA_cherk_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cherk

    PLASMA_cherk_Tile

    PLASMA_cherk_Tile_Async

    PLASMA_dherk_Tile_Async

    PLASMA_sherk_Tile_Async

  int PLASMA_chetrd_Tile_Async (PLASMA_enum jobz, PLASMA_enum uplo, PLASMA_desc * A, float * W, float * E, PLASMA_desc * T, PLASMA_Complex32_t * Q, int LDQ, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_chetrd_Tile_Async - Computes all eigenvalues and, optionally, eigenvectors of a complex Hermitian matrix A using a two-stage approach: First stage: reduction to band tridiagonal form; Second stage: reduction from band to tridiagonal form.

May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_chetrd

    PLASMA_chetrd_Tile

    PLASMA_chetrd_Tile_Async

    PLASMA_dsytrd_Tile_Async

    PLASMA_ssytrd_Tile_Async

  int PLASMA_clacpy_Tile_Async (PLASMA_enum uplo, PLASMA_desc * A, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_clacpy_Tile_Async - Non-blocking equivalent of PLASMA_clacpy_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_clacpy

    PLASMA_clacpy_Tile

    PLASMA_clacpy_Tile_Async

    PLASMA_dlacpy_Tile_Async

    PLASMA_slacpy_Tile_Async

  int PLASMA_clange_Tile_Async (PLASMA_enum norm, PLASMA_desc * A, float * value, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_clange_Tile_Async - Non-blocking equivalent of PLASMA_clange_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_clange

    PLASMA_clange_Tile

    PLASMA_clange_Tile_Async

    PLASMA_dlange_Tile_Async

    PLASMA_slange_Tile_Async

  int PLASMA_clanhe_Tile_Async (PLASMA_enum norm, PLASMA_enum uplo, PLASMA_desc * A, float * value, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_clanhe_Tile_Async - Non-blocking equivalent of PLASMA_clanhe_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_clanhe

    PLASMA_clanhe_Tile

    PLASMA_clanhe_Tile_Async

    PLASMA_dlanhe_Tile_Async

    PLASMA_slanhe_Tile_Async

  int PLASMA_clansy_Tile_Async (PLASMA_enum norm, PLASMA_enum uplo, PLASMA_desc * A, float * value, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_clansy_Tile_Async - Non-blocking equivalent of PLASMA_clansy_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_clansy

    PLASMA_clansy_Tile

    PLASMA_clansy_Tile_Async

    PLASMA_dlansy_Tile_Async

    PLASMA_slansy_Tile_Async

  int PLASMA_clantr_Tile_Async (PLASMA_enum norm, PLASMA_enum uplo, PLASMA_enum diag, PLASMA_desc * A, float * value, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_clantr_Tile_Async - Non-blocking equivalent of PLASMA_clantr_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_clantr

    PLASMA_clantr_Tile

    PLASMA_clantr_Tile_Async

    PLASMA_dlantr_Tile_Async

    PLASMA_slantr_Tile_Async

  int PLASMA_cLapack_to_Tile_Async (PLASMA_Complex32_t * Af77, int LDA, PLASMA_desc * A, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cLapack_to_Tile_Async - Conversion from LAPACK layout to tile layout. Non-blocking equivalent of PLASMA_cLapack_to_Tile(). May return before the computation is finished. Allows for pipelining of operations ar runtime.

Parameters:
    Af77 LAPACK matrix.
    LDA The leading dimension of the matrix Af77.
    A Descriptor of the PLASMA matrix in tile layout.
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cTile_to_Lapack_Async

    PLASMA_cLapack_to_Tile

    PLASMA_cLapack_to_Tile_Async

    PLASMA_dLapack_to_Tile_Async

    PLASMA_sLapack_to_Tile_Async

  int PLASMA_clascal_Tile_Async (PLASMA_enum uplo, PLASMA_Complex32_t alpha, PLASMA_desc * A, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_clascal_Tile_Async - Scales a matrix by the scalar alpha as in ScaLAPACK pclascal(). Non-blocking equivalent of PLASMA_clascal_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_clascal

    PLASMA_clascal_Tile

    PLASMA_clascal_Tile_Async

    PLASMA_dlascal_Tile_Async

    PLASMA_slascal_Tile_Async

  int PLASMA_claset_Tile_Async (PLASMA_enum uplo, PLASMA_Complex32_t alpha, PLASMA_Complex32_t beta, PLASMA_desc * A, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_claset_Tile_Async - Non-blocking equivalent of PLASMA_claset_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_claset

    PLASMA_claset_Tile

    PLASMA_claset_Tile_Async

    PLASMA_slaset_Tile_Async

    PLASMA_slaset_Tile_Async

  int PLASMA_claswp_Tile_Async (PLASMA_desc * A, int K1, int K2, const int * IPIV, int INCX, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_claswp_Tile_Async - performs a series of row interchanges on the matrix A. One row interchange is initiated for each of rows K1 through K2 of A. Non-blocking equivalent of PLASMA_claswp_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_claswp

    PLASMA_claswp_Tile

    PLASMA_claswp_Tile_Async

    PLASMA_dlaswp_Tile_Async

    PLASMA_slaswp_Tile_Async

    PLASMA_cgetrf_Tile_Async

  int PLASMA_claswpc_Tile_Async (PLASMA_desc * A, int K1, int K2, const int * IPIV, int INCX, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_claswpc_Tile_Async - performs a series of row interchanges on the matrix A. One row interchange is initiated for each of rows K1 through K2 of A. Non-blocking equivalent of PLASMA_claswpc_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_claswpc

    PLASMA_claswpc_Tile

    PLASMA_claswpc_Tile_Async

    PLASMA_dlaswpc_Tile_Async

    PLASMA_slaswpc_Tile_Async

    PLASMA_cgetrf_Tile_Async

  int PLASMA_clauum_Tile_Async (PLASMA_enum uplo, PLASMA_desc * A, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_clauum_Tile_Async - Computes the product U * U' or L' * L, where the triangular factor U or L is stored in the upper or lower triangular part of the array A. Non-blocking equivalent of PLASMA_clauum_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_clauum

    PLASMA_clauum_Tile

    PLASMA_clauum_Tile_Async

    PLASMA_dlauum_Tile_Async

    PLASMA_slauum_Tile_Async

    PLASMA_cpotri_Tile_Async

  int PLASMA_cplghe_Tile_Async (float bump, PLASMA_desc * A, unsigned long long int seed, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cplghe_Tile_Async - Generate a random hermitian matrix by tiles. Non-blocking equivalent of PLASMA_cplghe_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cplghe

    PLASMA_cplghe_Tile

    PLASMA_cplghe_Tile_Async

    PLASMA_dplghe_Tile_Async

    PLASMA_splghe_Tile_Async

    PLASMA_cplghe_Tile_Async

    PLASMA_cplgsy_Tile_Async

  int PLASMA_cplgsy_Tile_Async (PLASMA_Complex32_t bump, PLASMA_desc * A, unsigned long long int seed, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cplgsy_Tile_Async - Generate a random hermitian matrix by tiles. Non-blocking equivalent of PLASMA_cplgsy_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cplgsy

    PLASMA_cplgsy_Tile

    PLASMA_cplgsy_Tile_Async

    PLASMA_dplgsy_Tile_Async

    PLASMA_splgsy_Tile_Async

    PLASMA_cplgsy_Tile_Async

    PLASMA_cplgsy_Tile_Async

  int PLASMA_cplrnt_Tile_Async (PLASMA_desc * A, unsigned long long int seed, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cplrnt_Tile_Async - Generate a random matrix by tiles. Non-blocking equivalent of PLASMA_cplrnt_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cplrnt

    PLASMA_cplrnt_Tile

    PLASMA_cplrnt_Tile_Async

    PLASMA_dplrnt_Tile_Async

    PLASMA_splrnt_Tile_Async

    PLASMA_cplghe_Tile_Async

    PLASMA_cplgsy_Tile_Async

  int PLASMA_cpltmg_Tile_Async (PLASMA_enum mtxtype, PLASMA_desc * A, unsigned long long int seed, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cpltmg_Tile_Async - Generate a random matrix by tiles. Non-blocking equivalent of PLASMA_cpltmg_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    mtxtype See PLASMA_cpltmg()
    A Descriptor of the matrix A to generate. On exit, The random matrix A generated.
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cpltmg

    PLASMA_cpltmg_Tile

    PLASMA_cpltmg_Tile_Async

    PLASMA_dpltmg_Tile_Async

    PLASMA_spltmg_Tile_Async

  int PLASMA_cpocon_Tile_Async (PLASMA_enum uplo, PLASMA_desc * A, float Anorm, float * rcond, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cpocon_Tile_Async - estimates the reciprocal of the condition number of a general complex matrix A, in either the 1-norm or the infinity-norm. Non-blocking equivalent of PLASMA_cpocon_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cpocon

    PLASMA_cpocon_Tile

    PLASMA_cpocon_Tile_Async

    PLASMA_dpocon_Tile_Async

    PLASMA_spocon_Tile_Async

  int PLASMA_cposv_Tile_Async (PLASMA_enum uplo, PLASMA_desc * A, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cposv_Tile_Async - Solves a symmetric positive definite or Hermitian positive definite system of linear equations using the Cholesky factorization. Non-blocking equivalent of PLASMA_cposv_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cposv

    PLASMA_cposv_Tile

    PLASMA_cposv_Tile_Async

    PLASMA_dposv_Tile_Async

    PLASMA_sposv_Tile_Async

  int PLASMA_cpotrf_Tile_Async (PLASMA_enum uplo, PLASMA_desc * A, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cpotrf_Tile_Async - Computes the Cholesky factorization of a symmetric positive definite or Hermitian positive definite matrix. Non-blocking equivalent of PLASMA_cpotrf_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cpotrf

    PLASMA_cpotrf_Tile

    PLASMA_cpotrf_Tile_Async

    PLASMA_dpotrf_Tile_Async

    PLASMA_spotrf_Tile_Async

    PLASMA_cpotrs_Tile_Async

  int PLASMA_cpotri_Tile_Async (PLASMA_enum uplo, PLASMA_desc * A, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cpotri_Tile_Async - Computes the inverse of a complex Hermitian positive definite matrix A using the Cholesky factorization A = U**H*U or A = L*L**H computed by PLASMA_cpotrf. Non-blocking equivalent of PLASMA_cpotri_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cpotri

    PLASMA_cpotri_Tile

    PLASMA_cpotri_Tile_Async

    PLASMA_dpotri_Tile_Async

    PLASMA_spotri_Tile_Async

    PLASMA_cpotrf_Tile_Async

  int PLASMA_cpotrs_Tile_Async (PLASMA_enum uplo, PLASMA_desc * A, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cpotrs_Tile_Async - Solves a system of linear equations using previously computed Cholesky factorization. Non-blocking equivalent of PLASMA_cpotrs_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cpotrs

    PLASMA_cpotrs_Tile

    PLASMA_cpotrs_Tile_Async

    PLASMA_dpotrs_Tile_Async

    PLASMA_spotrs_Tile_Async

    PLASMA_cpotrf_Tile_Async

  int PLASMA_cstedc_Async (PLASMA_enum jobz, int n, float * D, float * E, PLASMA_Complex32_t * Z, int LDZ, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cstedc_Async - Computes all eigenpairs of a symmetric tridiagonal matrix

Parameters:
    jobz Intended usage: = PlasmaIVec: computes eigenpairs of the symmetric tridiagonal matrix = PlasmaVec: computes eigenpairs of the original matrix (not supported now)
    n n specifies the dimension of the original matrix
    D On entry, D contains the diagonal elements of the tridiagonal matrix On exit, D contains the eigenvalues
    E On entry, E contains the extra-diagonal elements of the tridiagonal matrix
    Z On exit, if jobz = PlasmaVec and info = 0, the eigenvectors.
    LDZ The leading dimention of the eigenvectors matrix Z. LDZ >= max(1,N).
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

Returns:

Return values:
    PLASMA_SUCCESS successful exit
    <0 if -i, the i-th argument had an illegal value

  int PLASMA_csymm_Tile_Async (PLASMA_enum side, PLASMA_enum uplo, PLASMA_Complex32_t alpha, PLASMA_desc * A, PLASMA_desc * B, PLASMA_Complex32_t beta, PLASMA_desc * C, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_csymm_Tile_Async - Performs symmetric matrix multiplication. Non-blocking equivalent of PLASMA_csymm_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_csymm

    PLASMA_csymm_Tile

    PLASMA_csymm_Tile_Async

    PLASMA_dsymm_Tile_Async

    PLASMA_ssymm_Tile_Async

  int PLASMA_csyr2k_Tile_Async (PLASMA_enum uplo, PLASMA_enum trans, PLASMA_Complex32_t alpha, PLASMA_desc * A, PLASMA_desc * B, PLASMA_Complex32_t beta, PLASMA_desc * C, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_csyr2k_Tile_Async - Performs symmetric rank-k update. Non-blocking equivalent of PLASMA_csyr2k_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_csyr2k

    PLASMA_csyr2k_Tile

    PLASMA_csyr2k_Tile_Async

    PLASMA_dsyr2k_Tile_Async

    PLASMA_ssyr2k_Tile_Async

  int PLASMA_csyrk_Tile_Async (PLASMA_enum uplo, PLASMA_enum trans, PLASMA_Complex32_t alpha, PLASMA_desc * A, PLASMA_Complex32_t beta, PLASMA_desc * C, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_csyrk_Tile_Async - Performs rank-k update. Non-blocking equivalent of PLASMA_csyrk_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_csyrk

    PLASMA_csyrk_Tile

    PLASMA_csyrk_Tile_Async

    PLASMA_dsyrk_Tile_Async

    PLASMA_ssyrk_Tile_Async

  int PLASMA_cTile_to_Lapack_Async (PLASMA_desc * A, PLASMA_Complex32_t * Af77, int LDA, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_cTile_to_Lapack_Async - Conversion from LAPACK layout to tile layout. Non-blocking equivalent of PLASMA_cTile_to_Lapack(). May return before the computation is finished. Allows for pipelining of operations ar runtime.

Parameters:
    A Descriptor of the PLASMA matrix in tile layout.
    Af77 LAPACK matrix.
    LDA The leading dimension of the matrix Af77.
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cLapack_to_Tile_Async

    PLASMA_cTile_to_Lapack

    PLASMA_cTile_to_Lapack_Async

    PLASMA_dTile_to_Lapack_Async

    PLASMA_sTile_to_Lapack_Async

  int PLASMA_ctradd_Tile_Async (PLASMA_enum uplo, PLASMA_enum trans, PLASMA_Complex32_t alpha, PLASMA_desc * A, PLASMA_Complex32_t beta, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_ctradd_Tile_Async - Performs a matrix addition similarly to the pctradd() function from the PBLAS library. Non-blocking equivalent of PLASMA_ctradd_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_ctradd

    PLASMA_ctradd_Tile

    PLASMA_ctradd_Tile_Async

    PLASMA_dtradd_Tile_Async

    PLASMA_stradd_Tile_Async

  int PLASMA_ctrmm_Tile_Async (PLASMA_enum side, PLASMA_enum uplo, PLASMA_enum transA, PLASMA_enum diag, PLASMA_Complex32_t alpha, PLASMA_desc * A, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_ctrmm_Tile_Async - Performs triangular matrix multiplication. Non-blocking equivalent of PLASMA_ctrmm_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_ctrmm

    PLASMA_ctrmm_Tile

    PLASMA_ctrmm_Tile_Async

    PLASMA_dtrmm_Tile_Async

    PLASMA_strmm_Tile_Async

  int PLASMA_ctrsm_Tile_Async (PLASMA_enum side, PLASMA_enum uplo, PLASMA_enum transA, PLASMA_enum diag, PLASMA_Complex32_t alpha, PLASMA_desc * A, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_ctrsm_Tile_Async - Computes triangular solve. Non-blocking equivalent of PLASMA_ctrsm_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_ctrsm

    PLASMA_ctrsm_Tile

    PLASMA_ctrsm_Tile_Async

    PLASMA_dtrsm_Tile_Async

    PLASMA_strsm_Tile_Async

  int PLASMA_ctrsmpl_Tile_Async (PLASMA_desc * A, PLASMA_desc * L, const int * IPIV, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_ctrsmpl_Tile - Performs the forward substitution step of solving a system of linear equations after the tile LU factorization of the matrix. Non-blocking equivalent of PLASMA_ctrsmpl_Tile(). Returns control to the user thread before worker threads finish the computation to allow for pipelined execution of diferent routines.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_ctrsmpl

    PLASMA_ctrsmpl_Tile

    PLASMA_ctrsmpl_Tile_Async

    PLASMA_dtrsmpl_Tile_Async

    PLASMA_strsmpl_Tile_Async

    PLASMA_cgetrf_incpiv_Tile_Async

  int PLASMA_ctrsmrv_Tile_Async (PLASMA_enum side, PLASMA_enum uplo, PLASMA_enum transA, PLASMA_enum diag, PLASMA_Complex32_t alpha, PLASMA_desc * A, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_ctrsmrv_Tile_Async - Computes triangular solve. Non-blocking equivalent of PLASMA_ctrsmrv_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_ctrsmrv

    PLASMA_ctrsmrv_Tile

    PLASMA_ctrsmrv_Tile_Async

    PLASMA_dtrsmrv_Tile_Async

    PLASMA_strsmrv_Tile_Async

  int PLASMA_ctrtri_Tile_Async (PLASMA_enum uplo, PLASMA_enum diag, PLASMA_desc * A, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_ctrtri_Tile_Async - Computes the inverse of a complex upper or lower triangular matrix A. Non-blocking equivalent of PLASMA_ctrtri_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_ctrtri

    PLASMA_ctrtri_Tile

    PLASMA_ctrtri_Tile_Async

    PLASMA_dtrtri_Tile_Async

    PLASMA_strtri_Tile_Async

    PLASMA_cpotri_Tile_Async

  int PLASMA_cunglq_Tile_Async (PLASMA_desc * A, PLASMA_desc * T, PLASMA_desc * Q, PLASMA_sequence * sequence, PLASMA_request * request)
Non-blocking equivalent of PLASMA_cunglq_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cunglq

    PLASMA_cunglq_Tile

    PLASMA_cunglq_Tile_Async

    PLASMA_dorglq_Tile_Async

    PLASMA_sorglq_Tile_Async

    PLASMA_cgelqf_Tile_Async

  int PLASMA_cungqr_Tile_Async (PLASMA_desc * A, PLASMA_desc * T, PLASMA_desc * Q, PLASMA_sequence * sequence, PLASMA_request * request)
Non-blocking equivalent of PLASMA_cungqr_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cungqr

    PLASMA_cungqr_Tile

    PLASMA_cungqr_Tile_Async

    PLASMA_dorgqr_Tile_Async

    PLASMA_sorgqr_Tile_Async

    PLASMA_cgeqrf_Tile_Async

  int PLASMA_cunmlq_Tile_Async (PLASMA_enum side, PLASMA_enum trans, PLASMA_desc * A, PLASMA_desc * T, PLASMA_desc * C, PLASMA_sequence * sequence, PLASMA_request * request)
Non-blocking equivalent of PLASMA_cunmlq_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cunmlq

    PLASMA_cunmlq_Tile

    PLASMA_cunmlq_Tile_Async

    PLASMA_dormlq_Tile_Async

    PLASMA_sormlq_Tile_Async

    PLASMA_cgelqf_Tile_Async

  int PLASMA_cunmqr_Tile_Async (PLASMA_enum side, PLASMA_enum trans, PLASMA_desc * A, PLASMA_desc * T, PLASMA_desc * C, PLASMA_sequence * sequence, PLASMA_request * request)
Non-blocking equivalent of PLASMA_cunmqr_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_cunmqr

    PLASMA_cunmqr_Tile

    PLASMA_cunmqr_Tile_Async

    PLASMA_dormqr_Tile_Async

    PLASMA_sormqr_Tile_Async

    PLASMA_cgeqrf_Tile_Async

Author

Generated automatically by Doxygen for PLASMA from the source code.